Bug 641459 - Don't lose dirty bits leading to data corruption during KSM swapping [rhel-6.0.z]
Summary: Don't lose dirty bits leading to data corruption during KSM swapping [rhel-6....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Zhouping Liu
URL:
Whiteboard:
Depends On: 640579
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-08 18:56 UTC by Benjamin Kahn
Modified: 2014-01-13 00:00 UTC (History)
12 users (show)

Fixed In Version: kernel-2.6.32-71.4.1.el6
Doc Type: Bug Fix
Doc Text:
Previously, building under memory pressure with KSM (Kernel Shared Memory) caused KSM to collapse with an internal compiler error indicating an error in swapping. With this update, data corruption during swapping no longer occurs.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:11:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description Benjamin Kahn 2010-10-08 18:56:47 UTC
This bug has been copied from bug #640579 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 4 Frantisek Hrbata 2010-10-12 18:53:33 UTC
in kernel-2.6.32-71.4.1.el6

Comment 9 errata-xmlrpc 2010-11-10 19:11:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 10 Martin Prpič 2010-11-11 12:02:16 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, building under memory pressure with KSM (Kernel Shared Memory) caused KSM to collapse with an internal compiler error indicating an error in swapping. With this update, data corruption during swapping no longer occurs.


Note You need to log in before you can comment on or make changes to this bug.